org.apache.uima.cas.impl

## Class TypeSystem2Xml

- java.lang.Object
- - org.apache.uima.cas.impl.TypeSystem2Xml

-     public class TypeSystem2Xml
      extends Object

  Dumps a Type System object to XML.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeSystem2Xml()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `typeSystem2Xml(TypeSystem aTypeSystem, ContentHandler aContentHandler)` Traverses a TypeSystem and calls SAX events on the specified ContentHandler.
    `static void` | `typeSystem2Xml(TypeSystem aTypeSystem, OutputStream aOutputStream)` Converts a TypeSystem object to XML.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeSystem2Xml

          public TypeSystem2Xml()

  - ### Method Detail

    - #### typeSystem2Xml

          public static void typeSystem2Xml(TypeSystem aTypeSystem,
                                            OutputStream aOutputStream)
                                     throws SAXException,
                                            IOException

      Converts a TypeSystem object to XML. Built-in types and Array types (e.g. Annotation[]) are not included.
      Parameters:
        `aTypeSystem` - the TypeSystem to convert
        `aOutputStream` - the stream to which XML output will be written
      Throws:
        `IOException` - if there is a problem writing to the provided OutputStream
        `SAXException` - if an error occurs during the translation of the type system to XML

    - #### typeSystem2Xml

          public static void typeSystem2Xml(TypeSystem aTypeSystem,
                                            ContentHandler aContentHandler)
                                     throws SAXException

      Traverses a TypeSystem and calls SAX events on the specified ContentHandler.
      Parameters:
        `aTypeSystem` - the TypeSystem to traverse
        `aContentHandler` - the ContentHandler on which events will be called
      Throws:
        `SAXException` - if an exception is thrown by the ContentHandler

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.